Browse code

app_lua: update doc about LUAJIT variable and building against LuaJIT libraries.

Vicente Hernando authored on 22/12/2017 14:01:35
Showing 1 changed files
... ...
@@ -75,6 +75,24 @@
75 75
 			</para>
76 76
 		    </listitem>
77 77
 	    	</itemizedlist>
78
+			<para>
79
+			    This module can be compiled against LuaJIT compiler (instead of
80
+			    standard Lua). Then this library is needed:
81
+			    <itemizedlist>
82
+				    <listitem>
83
+				    <emphasis>libluajit-5.1-dev</emphasis> - LuaJIT devel library.
84
+				    </listitem>
85
+				</itemizedlist>
86
+				<para>
87
+				    To enable that, LUAJIT variable has to be set.
88
+					<example>
89
+					    <title>Build against LuaJIT libraries</title>
90
+					E.g: $ LUAJIT="yes" make modules modules=modules/app_lua
91
+					</example>
92
+			    (Warning: LuaJIT version is 5.1, so scripts prepared for higher Lua versions
93
+			    may not work with LuaJIT)
94
+				</para>
95
+			</para>
78 96
 	    </para>
79 97
 	</section>
80 98
     </section>